package com.example.entity;

import java.io.Serializable;
import java.math.BigDecimal;

/**
 * 订单表
*/
public class Orders implements Serializable {
    private static final long serialVersionUID = 1L;

    /** id */
    private Integer id;
    /** 实付金额 */
    private BigDecimal bitPay;
    /** 应付金额 */
    private BigDecimal originPay;
    /** 下单用户id */
    private Integer userId;
    /** 收货地址id */
    private Integer addressId;
    /** 预计送达时间 */
    private String timePre;
    /** 下单时间 */
    private String timeOrder;
    /** 订单状态 */
    private String orderState;
    /** 订单备注 */
    private String orderRemark;
    /** 交易单号 */
    private String transCode;
    /** 订单类型id */
    private Integer orderTypeId;

    public Integer getId() {
        return id;
    }

    public void setId(Integer id) {
        this.id = id;
    }

    public BigDecimal getBitPay() {
        return bitPay;
    }

    public void setBitPay(BigDecimal bitPay) {
        this.bitPay = bitPay;
    }

    public BigDecimal getOriginPay() {
        return originPay;
    }

    public void setOriginPay(BigDecimal originPay) {
        this.originPay = originPay;
    }

    public Integer getUserId() {
        return userId;
    }

    public void setUserId(Integer userId) {
        this.userId = userId;
    }

    public Integer getAddressId() {
        return addressId;
    }

    public void setAddressId(Integer addressId) {
        this.addressId = addressId;
    }

    public String getTimePre() {
        return timePre;
    }

    public void setTimePre(String timePre) {
        this.timePre = timePre;
    }

    public String getTimeOrder() {
        return timeOrder;
    }

    public void setTimeOrder(String timeOrder) {
        this.timeOrder = timeOrder;
    }

    public String getOrderState() {
        return orderState;
    }

    public void setOrderState(String orderState) {
        this.orderState = orderState;
    }

    public String getOrderRemark() {
        return orderRemark;
    }

    public void setOrderRemark(String orderRemark) {
        this.orderRemark = orderRemark;
    }

    public String getTransCode() {
        return transCode;
    }

    public void setTransCode(String transCode) {
        this.transCode = transCode;
    }

    public Integer getOrderTypeId() {
        return orderTypeId;
    }

    public void setOrderTypeId(Integer orderTypeId) {
        this.orderTypeId = orderTypeId;
    }

}